Bug 82476 - Resource generation in the server plugins requires JNDI name
Resource generation in the server plugins requires JNDI name
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Libor Kotouc
issues@serverplugins
: API, API_REVIEW_FAST
Depends on:
Blocks: 77344
  Show dependency treegraph
 
Reported: 2006-08-11 12:33 UTC by Libor Kotouc
Modified: 2006-08-21 15:31 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed changes (7.13 KB, patch)
2006-08-11 13:07 UTC, Libor Kotouc
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Libor Kotouc 2006-08-11 12:33:29 UTC
Issue 77344 needs to know JNDI name of the resource which the resource being
defined is coming from. More details in the mentioned issue.

The plugin interface of j2eeserver -
ConfigurationSupport.ensureResourceDefined() - now takes DDBean only, JNDI name
must be passed as well. The project interface -
J2eeModuleProvider.ConfigSupport.ensureResourceDefinedForEjb() - also needs
update to allow JNDI name passing.
Comment 1 Libor Kotouc 2006-08-11 13:07:17 UTC
Created attachment 32825 [details]
proposed changes
Comment 2 Libor Kotouc 2006-08-11 13:12:44 UTC
I'd like to ask for the API review. It involves passing of the JNDI name of the
resource for the resource definition callback.
Comment 3 Libor Kotouc 2006-08-17 09:10:53 UTC
I will integrate on monday.
Comment 4 Libor Kotouc 2006-08-21 15:31:22 UTC
Fixed.

Checking in apichanges.xml;
/cvs/j2eeserver/apichanges.xml,v  <--  apichanges.xml
new revision: 1.16.6.3.2.7; previous revision: 1.16.6.3.2.6
done
Checking in nbproject/project.properties;
/cvs/j2eeserver/nbproject/project.properties,v  <--  project.properties
new revision: 1.9.34.10; previous revision: 1.9.34.9
done
Checking in src/org/netbeans/modules/j2ee/deployment/config/ConfigSupportImpl.java;
/cvs/j2eeserver/src/org/netbeans/modules/j2ee/deployment/config/ConfigSupportImpl.java,v
 <--  ConfigSupportImpl.java
new revision: 1.40.2.4.2.6; previous revision: 1.40.2.4.2.5
done
Checking in
src/org/netbeans/modules/j2ee/deployment/devmodules/spi/J2eeModuleProvider.java;
/cvs/j2eeserver/src/org/netbeans/modules/j2ee/deployment/devmodules/spi/J2eeModuleProvider.java,v
 <--  J2eeModuleProvider.java
new revision: 1.47.30.3.2.5; previous revision: 1.47.30.3.2.4
done
Checking in
src/org/netbeans/modules/j2ee/deployment/plugins/api/ConfigurationSupport.java;
/cvs/j2eeserver/src/org/netbeans/modules/j2ee/deployment/plugins/api/ConfigurationSupport.java,v
 <--  ConfigurationSupport.java
new revision: 1.2.42.2.2.4; previous revision: 1.2.42.2.2.3
don


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo